#### PyKDE - Python Bindings for KDE

# class KIcon

Table of contents
Modules
kdecore Classes
All Classes

Module | kdecore
Class | KIcon
Inherits |

### enums

- Context = {Any, Action, Application, Device, FileSystem, MimeType }
- Group = {NoGroup = -1, Desktop = 0, FirstGroup = 0, Toolbar, MainToolbar, Small, Panel, LastGroup, User }
- Group = {NoGroup = -1, Desktop = 0, FirstGroup = Desktop , Toolbar, MainToolbar, Small, Panel, LastGroup, User }
- MatchType = {MatchExact, MatchBest }
- Overlays = {LockOverlay = 256, ZipOverlay = 512, LinkOverlay = 1024, HiddenOverlay = 2048, ShareOverlay = 4096, OverlayMask = -256 }
- Overlays = {LockOverlay = 256, ZipOverlay = 512, LinkOverlay = 1024, HiddenOverlay = 2048, OverlayMask = -256 }
- States = {DefaultState, ActiveState, DisabledState, LastState }
- StdSizes = {SizeSmall = 16, SizeSmallMedium = 22, SizeMedium = 32, SizeLarge = 48, SizeHuge = 64 }
- StdSizes = {SizeSmall = 16, SizeMedium = 32, SizeLarge = 48, SizeHuge = 64 }
- StdSizes = {SizeSmall = 16, SizeMedium = 32, SizeLarge = 48 }
- Type = {Fixed, Scalable, Threshold }

### methods

- KIcon ()

  returns a KIcon instance

- isValid ()

  returns (bool)

### variables

- variables

  Variable | Type
  --- | ---
  context | Context
  path | QString
  size | int
  threshold | int
  type | Type